summaryrefslogtreecommitdiff
path: root/taler-docbuild/update_tutorials.sh
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2018-02-06 04:06:40 +0100
committerFlorian Dold <florian.dold@gmail.com>2018-02-06 04:06:40 +0100
commitc6d43b1274c044c275f8dbea343aff33593a7485 (patch)
treea258df7a7e2e95a62b0bdeaf7ea97b986c7527a7 /taler-docbuild/update_tutorials.sh
parent94c7476dc8dc7a343e036d0cfaf52514d5c08610 (diff)
downloaddeployment-c6d43b1274c044c275f8dbea343aff33593a7485.tar.gz
deployment-c6d43b1274c044c275f8dbea343aff33593a7485.tar.bz2
deployment-c6d43b1274c044c275f8dbea343aff33593a7485.zip
build docs the same way as blue/green
Diffstat (limited to 'taler-docbuild/update_tutorials.sh')
-rwxr-xr-xtaler-docbuild/update_tutorials.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/taler-docbuild/update_tutorials.sh b/taler-docbuild/update_tutorials.sh
new file mode 100755
index 0000000..cef16ca
--- /dev/null
+++ b/taler-docbuild/update_tutorials.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
+}
+
+cd $HOME/merchant-frontend-examples
+fetch
+make
+cp php/doc/tutorial.pdf $HOME/build/merchant-frontend/php/pdf/
+cp php/doc/tutorial.html $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.css $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.jpg $HOME/build/merchant-frontend/php/html/
+cp python/doc/tutorial.pdf $HOME/build/merchant-frontend/python/pdf/
+cp python/doc/tutorial.html $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.css $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.jpg $HOME/build/merchant-frontend/python/html/
+